Package com.xebialabs.xlrelease.domain

# Class DependencyTarget$

java.lang.Object
scala.runtime.AbstractFunction19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer,DependencyTarget>
com.xebialabs.xlrelease.domain.DependencyTarget$

All Implemented Interfaces:
  `Serializable`, `scala.Function19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer,DependencyTarget>`

public class DependencyTarget$ extends scala.runtime.AbstractFunction19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer,DependencyTarget> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DependencyTarget$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DependencyTarget$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DependencyTarget`
  `apply(String targetReleaseUid, String targetId, Type targetType, String releaseTitle, String phaseId, String phaseTitle, String resolvedPhaseTitle, PhaseStatus phaseStatus, String taskId, String taskTitle, String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, String releaseFlagComment, Date startDate, Date endDate, Date scheduledStartDate, Date dueDate, Integer plannedDuration)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer>>`
  `unapply(DependencyTarget x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction19

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final DependencyTarget$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### DependencyTarget$

    public DependencyTarget$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer,DependencyTarget>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer,DependencyTarget>`

  - ### apply

    public DependencyTarget apply(String targetReleaseUid, String targetId, Type targetType, String releaseTitle, String phaseId, String phaseTitle, String resolvedPhaseTitle, PhaseStatus phaseStatus, String taskId, String taskTitle, String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, String releaseFlagComment, Date startDate, Date endDate, Date scheduledStartDate, Date dueDate, Integer plannedDuration)
    Specified by:
      `apply` in interface `scala.Function19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer,DependencyTarget>`

  - ### unapply

    public scala.Option<scala.Tuple19<String,String,Type,String,String,String,String,PhaseStatus,String,String,String,TaskStatus,FlagStatus,String,Date,Date,Date,Date,Integer>> unapply(DependencyTarget x$0)